import { Context } from 'react';

export interface IConfig {
    baseUrl: string;
    tenant: string;
    tenantAuthConfig: string;
    basicAuth: string;
    enableKDS?: true;
    anonymousOnInit?: false;
    host: string;
}
export declare const ConfigContext: Context<IConfig | null>;
export declare const useConfigContext: () => IConfig | null;
//# sourceMappingURL=ConfigContext.d.ts.map